Page MenuHomePhabricator

Prepare WikibaseLexeme config for wikidata.org
Closed, ResolvedPublic

Description

Can be based on the config for testwikidata

Variables to set:

$wgWBClientSettings['disabledAccessEntityTypes'] = [ 'lexeme', 'form', 'sense' ];
$wgWBRepoSettings['disabledRdfExportEntityTypes'] = ['lexeme', 'form', 'sense' ];
language code property: name: $wgLexemeLanguageCodePropertyId value: "P218"
$wgLexemeEnableSenses: false
disable creating properties with data type "sense": $wgdisabledDataTypes[] = [ 'wikibase-sense' ]
enable Cirrus-based search: $wgWBRepoSettings['entitySearch']['useCirrus'] = true  # NOTE: this is probably already the case. Check before in order to not duplicate settings!
reserved / blacklisted lexeme IDs (probably added in https://gerrit.wikimedia.org/r/#/c/430611/)

Event Timeline

WMDE-leszek triaged this task as Medium priority.May 9 2018, 10:26 AM
WMDE-leszek created this task.
Addshore renamed this task from Change config for wikidata.org to Prepare WikibaseLexeme config for wikidata.org.May 9 2018, 10:27 AM
Addshore updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)May 10 2018, 7:56 AM

Change 434451 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Add 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme

https://gerrit.wikimedia.org/r/434451

Change 434452 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Set wgLexemeLanguageCodePropertyId for wikidatawiki

https://gerrit.wikimedia.org/r/434452

Addshore claimed this task.May 22 2018, 8:33 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 22 2018, 8:33 AM

Change 434451 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme

https://gerrit.wikimedia.org/r/434451

Mentioned in SAL (#wikimedia-operations) [2018-05-22T11:06:45Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:434451|Add 171081 to wmgWikibaseIdBlacklist for wikibase-lexeme]] T194248 T187060 (duration: 01m 19s)

Change 434452 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgLexemeLanguageCodePropertyId for wikidatawiki

https://gerrit.wikimedia.org/r/434452

Mentioned in SAL (#wikimedia-operations) [2018-05-22T12:15:23Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:434452|Set wgLexemeLanguageCodePropertyId for wikidatawiki]] T194248 (duration: 01m 19s)

Addshore closed this task as Resolved.May 22 2018, 12:15 PM

Change 434593 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] wikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434593

Change 434593 abandoned by Addshore:
wikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434593

Vvjjkkii renamed this task from Prepare WikibaseLexeme config for wikidata.org to jbdaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Addshore as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from jbdaaaaaaa to Prepare WikibaseLexeme config for wikidata.org.Jul 2 2018, 6:05 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Addshore.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.